//*****************************************************************************
//*****************************************************************************
//  FILENAME:   UsbSleepTimer.h
//  Version: 1.0, 2006/10/15
//  Generated by Andy Kiser
//
//  DESCRIPTION:  Detect USB inactivity and set "GotoSleep" Flag accordingly
//-----------------------------------------------------------------------------
// Originally authored by Toradex AG. This work is now available under the terms and conditions
// of the Creative Commons License 'Attribution CC BY', details of which can be found here:
// http://creativecommons.org/licenses/by/3.0/
//*****************************************************************************
//*****************************************************************************
#include <m8c.h>

// TRUE indicates that the device should enter sleep mode
extern BOOL GotoSleep;

//-----------------------------------------------------------------------------
// this function must be called AFTER USB has become active
// otherwise USB idle state would be detected and after 4ms the 
// device would go into suspend mode
//-----------------------------------------------------------------------------
extern void	SleepTimer_Start(void);
